Bug 204952 - Autofs maps from nis fail with underscore in map name
Autofs maps from nis fail with underscore in map name
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-01 13:16 EDT by Matt Whiteley
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 15:18:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Whiteley 2006-09-01 13:16:27 EDT
Description of problem:
Autofs maps from NIS containing the underscore '_' character are not loaded.
Error logged says 'nsswitch: nsswitch: couldn't find map'.

Version-Release number of selected component (if applicable):
autofs-4.1.3-187

How reproducible:
Autofs maps from NIS containing the underscore '_' character work fine with
version 4.1.3-169. Update system to errata pack #4, the maps will fail to load.

Steps to Reproduce:
1. Create NIS autofs maps with an underscore '_' in the name
2. Update to version 4.1.3-187
3. Maps fail to load
  
Actual results:
Other maps in the auto.master file are loaded. Nsswitch logs to
/var/log/messages about the map not existing.

Expected results:
All of the maps should load.

Additional info:
Comment 1 Jeff Moyer 2006-09-07 14:40:16 EDT
What is the variable UNDERSCORETODOT set to in /etc/sysconfig/autofs?  If it is
1, change it to 0.
Comment 2 Jeff Moyer 2006-09-19 11:59:12 EDT
Still waiting for answers to comment #1.
Comment 3 Jeff Moyer 2006-10-16 14:23:34 EDT
Still waiting for answers to comment #1.
Comment 4 Matt Whiteley 2006-10-16 14:48:11 EDT
It was set to 1, did this option change defaults with the update?
Comment 5 Jeff Moyer 2006-10-16 15:14:05 EDT
No, the setting itself did not change.  The maps that are affected by this
setting changed.  Previously, it only applied to auto.home and auto.mnt. 
However, the intent of the flag was to affect all maps.

Does setting the flag to 0 make the problem go away?
Comment 6 Matt Whiteley 2006-10-16 15:16:15 EDT
Yes, changing the flag makes the maps work as I expected. Thank you.

Note You need to log in before you can comment on or make changes to this bug.